The Seliq API gives you programmatic access to alerts, incidents, dashboards, and more.
https://api.seliqsec.com/api/v1
All requests must be made over HTTPS.
All endpoints (except alert ingestion) require a Bearer token obtained by logging in:
POST /api/v1/auth/login
Content-Type: application/json
{ "email": "user@example.com", "password": "..." }
Pass the returned token on subsequent requests:
Authorization: Bearer <token>
Connector ingestion uses an API key issued per connector:
X-API-Key: <connector-api-key>
POST /api/v1/alerts/ingest
| Endpoint | Limit |
|---|
POST /auth/login | 10 req / min |
POST /alerts/ingest | 300 req / min |
POST /alerts/bulk | 100 req / min |
Most write operations require an admin role. Read operations are available to all authenticated users (analyst or admin).
| Method | Path | Description |
|---|
POST | /api/v1/auth/login | Login |
| Method | Path | Description |
|---|
GET | /api/v1/alerts/ | List Alerts |
GET | /api/v1/alerts/facets | Alert Facets |
POST | /api/v1/alerts/bulk | Bulk Alert Action |
GET | /api/v1/alerts/{alert_id}/activity | List Alert Activity |
GET | /api/v1/alerts/{alert_id} | Get Alert |
PATCH | /api/v1/alerts/{alert_id} | Patch Alert |
GET | /api/v1/alerts/{alert_id}/notes | List Alert Notes |
POST | /api/v1/alerts/{alert_id}/notes | Add Alert Note |
GET | /api/v1/alerts/{alert_id}/analysis | Get Alert Analysis |
POST | /api/v1/alerts/{alert_id}/analyse | Trigger Alert Analysis |
POST | /api/v1/alerts/ingest | Ingest an alert from a source connector |
| Method | Path | Description |
|---|
GET | /api/v1/alert-views/ | List Views |
POST | /api/v1/alert-views/ | Create View |
PATCH | /api/v1/alert-views/{view_id} | Update View |
DELETE | /api/v1/alert-views/{view_id} | Delete View |
GET | /api/v1/alert-views/me/default | Get Default View |
PUT | /api/v1/alert-views/me/default | Set Default View |
POST | /api/v1/alert-views/{view_id}/hide | Hide View |
DELETE | /api/v1/alert-views/{view_id}/hide | Unhide View |
| Method | Path | Description |
|---|
GET | /api/v1/incidents/ | List Incidents |
POST | /api/v1/incidents/ | Create Incident |
GET | /api/v1/incidents/{incident_id}/activity | List Incident Activity |
GET | /api/v1/incidents/{incident_id} | Get Incident |
PATCH | /api/v1/incidents/{incident_id} | Patch Incident |
POST | /api/v1/incidents/{incident_id}/alerts | Link Alerts |
DELETE | /api/v1/incidents/{incident_id}/alerts/{alert_id} | Unlink Alert |
GET | /api/v1/incidents/{incident_id}/notes | List Incident Notes |
POST | /api/v1/incidents/{incident_id}/notes | Add Incident Note |
GET | /api/v1/incidents/{incident_id}/timeline | List Timeline Events |
POST | /api/v1/incidents/{incident_id}/timeline | Add Timeline Event |
PATCH | /api/v1/incidents/{incident_id}/timeline/{event_id} | Update Timeline Event |
DELETE | /api/v1/incidents/{incident_id}/timeline/{event_id} | Delete Timeline Event |
GET | /api/v1/incidents/{incident_id}/analysis | Get Incident Analysis |
POST | /api/v1/incidents/{incident_id}/analysis | Generate Incident Analysis |
| Method | Path | Description |
|---|
GET | /api/v1/users/me | Get Me |
PATCH | /api/v1/users/me | Update Me |
GET | /api/v1/users/me/notification-prefs | Get Notification Prefs |
PATCH | /api/v1/users/me/notification-prefs | Update Notification Prefs |
GET | /api/v1/users/ | List Users |
POST | /api/v1/users/ | Create User |
GET | /api/v1/users/quota | Get User Quota |
PATCH | /api/v1/users/{user_id} | Patch User |
DELETE | /api/v1/users/{user_id} | Delete User |
POST | /api/v1/users/{user_id}/reset-password | Reset Password |
| Method | Path | Description |
|---|
GET | /api/v1/connectors/ | List Connectors |
POST | /api/v1/connectors/ | Create Connector |
PATCH | /api/v1/connectors/{connector_id} | Patch Connector |
DELETE | /api/v1/connectors/{connector_id} | Delete Connector |
GET | /api/v1/connectors/catalogue | List Catalogue |
| Method | Path | Description |
|---|
GET | /api/v1/organizations/ | List Organizations |
POST | /api/v1/organizations/ | Create Organization |
GET | /api/v1/organizations/by-slug/{slug} | Get Organization By Slug |
PATCH | /api/v1/organizations/{organization_id} | Patch Organization |
GET | /api/v1/organizations/{organization_id}/contacts | List Contacts |
POST | /api/v1/organizations/{organization_id}/contacts | Create Contact |
PATCH | /api/v1/organizations/{organization_id}/contacts/{contact_id} | Patch Contact |
DELETE | /api/v1/organizations/{organization_id}/contacts/{contact_id} | Delete Contact |
| Method | Path | Description |
|---|
GET | /api/v1/groups/ | List Groups |
POST | /api/v1/groups/ | Create Group |
GET | /api/v1/groups/{group_id} | Get Group |
PATCH | /api/v1/groups/{group_id} | Update Group |
DELETE | /api/v1/groups/{group_id} | Delete Group |
PUT | /api/v1/groups/{group_id}/members | Replace Group Members |
| Method | Path | Description |
|---|
GET | /api/v1/metrics/alerts/volume | Alerts Volume |
GET | /api/v1/metrics/alerts/by-severity | Alerts By Severity |
GET | /api/v1/metrics/alerts/by-status | Alerts By Status |
GET | /api/v1/metrics/alerts/by-connector | Alerts By Connector |
GET | /api/v1/metrics/alerts/mttd | Alerts Mttd |
GET | /api/v1/metrics/alerts/mttr | Alerts Mttr |
GET | /api/v1/metrics/alerts/by-assignee | Alerts By Assignee |
GET | /api/v1/metrics/alerts/unassigned-count | Alerts Unassigned Count |
GET | /api/v1/metrics/incidents/by-status | Incidents By Status |
GET | /api/v1/metrics/incidents/open-count | Incidents Open Count |
GET | /api/v1/metrics/incidents/by-assignee | Incidents By Assignee |
GET | /api/v1/metrics/sla | Get Sla Metrics |
GET | /api/v1/metrics/summary | Get Metrics Summary |
| Method | Path | Description |
|---|
GET | /api/v1/dashboards/ | List Dashboards |
POST | /api/v1/dashboards/ | Create Dashboard |
GET | /api/v1/dashboards/{dashboard_id} | Get Dashboard |
PATCH | /api/v1/dashboards/{dashboard_id} | Patch Dashboard |
DELETE | /api/v1/dashboards/{dashboard_id} | Delete Dashboard |
POST | /api/v1/dashboards/import | Import Dashboard |
GET | /api/v1/dashboards/{dashboard_id}/export | Export Dashboard |
| Method | Path | Description |
|---|
GET | /api/v1/saved-queries/ | List Saved Queries |
POST | /api/v1/saved-queries/ | Create Saved Query |
GET | /api/v1/saved-queries/{query_id} | Get Saved Query |
PATCH | /api/v1/saved-queries/{query_id} | Patch Saved Query |
DELETE | /api/v1/saved-queries/{query_id} | Delete Saved Query |
| Method | Path | Description |
|---|
GET | /api/v1/notifications/ | List Notifications |
GET | /api/v1/notifications/history | List Notification History |
POST | /api/v1/notifications/read-all | Mark All Read |
POST | /api/v1/notifications/{notification_id}/read | Mark Notification Read |
| Method | Path | Description |
|---|
POST | /api/v1/activity/search | Search Activity |
| Method | Path | Description |
|---|
GET | /api/v1/macros/ | List Macros |
POST | /api/v1/macros/ | Create Macro |
PATCH | /api/v1/macros/{macro_id} | Update Macro |
DELETE | /api/v1/macros/{macro_id} | Delete Macro |
POST | /api/v1/macros/apply | Apply Macro |
| Method | Path | Description |
|---|
GET | /api/v1/triggers/ | List Triggers |
POST | /api/v1/triggers/ | Create Trigger |
GET | /api/v1/triggers/{trigger_id} | Get Trigger |
PATCH | /api/v1/triggers/{trigger_id} | Update Trigger |
DELETE | /api/v1/triggers/{trigger_id} | Delete Trigger |
POST | /api/v1/triggers/{trigger_id}/reorder | Reorder Trigger |
| Method | Path | Description |
|---|
GET | /api/v1/alerts/{alert_id}/chat | List Chat |
POST | /api/v1/alerts/{alert_id}/chat | Send Chat |
| Method | Path | Description |
|---|
GET | /api/v1/settings/ai/models | List Models |
GET | /api/v1/settings/ai | Get Ai Config |
PATCH | /api/v1/settings/ai | Update Ai Config |
| Method | Path | Description |
|---|
GET | /api/v1/settings/features | List My Features |
PATCH | /api/v1/settings/features/{key} | Toggle My Feature |
| Method | Path | Description |
|---|
GET | /api/v1/settings/email | Get Email Config |
PATCH | /api/v1/settings/email | Patch Email Config |
GET | /api/v1/settings/security | Get Security Config |
PATCH | /api/v1/settings/security | Patch Security Config |
| Method | Path | Description |
|---|
GET | /api/v1/settings/sla | Get Sla Config |
PATCH | /api/v1/settings/sla | Update Sla Config |
| Method | Path | Description |
|---|
POST | /webhooks/email/inbound/{url_token} | Inbound Email Webhook |
| Method | Path | Description |
|---|
GET | /api/v1/incidents/{incident_id}/reports | List Reports |
POST | /api/v1/incidents/{incident_id}/reports | Create Report |
GET | /api/v1/incidents/{incident_id}/reports/{report_id}/download | Download Report |
DELETE | /api/v1/incidents/{incident_id}/reports/{report_id} | Delete Report |
| Method | Path | Description |
|---|
GET | /api/v1/queries/sources | List Sources |
GET | /api/v1/queries/lookups | Get Lookups |
POST | /api/v1/queries/run | Run Query |
| Method | Path | Description |
|---|
GET | /api/v1/incidents/{incident_id}/chat | List Incident Chat |
POST | /api/v1/incidents/{incident_id}/chat | Send Incident Chat |
| Method | Path | Description |
|---|
GET | /api/v1/ai-usage/quota | Get Ai Quota |
| Method | Path | Description |
|---|
GET | /api/v1/settings/report | Get Report Config |
PATCH | /api/v1/settings/report | Update Report Config |
GET | /api/v1/settings/report/template | Download Template |
POST | /api/v1/settings/report/template | Upload Template |
DELETE | /api/v1/settings/report/template | Delete Template |